{
  "compilerOptions": {
    "target": "ES2020",
    "useDefineForClassFields": true,
    "lib": ["ES2020", "DOM", "DOM.Iterable"],
    "module": "ESNext",
    "skipLibCheck": true,

    /* Bundler mode */
    "moduleResolution": "bundler",
    "allowImportingTsExtensions": true,
    "resolveJsonModule": true,
    "isolatedModules": true,
    "noEmit": true,
    "jsx": "react-jsx",

    /* Linting */
    "strict": true,
    "noUnusedLocals": true,
    "noUnusedParameters": true,
    "noFallthroughCasesInSwitch": true,

    "baseUrl": "./src/",
    "paths": {
      "@/assets/*": ["assets/*"],
      "@/components/*": ["components/*"],
      "@/context/*": ["context/*"],
      "@/configs/*": ["configs/*"],
      "@/hooks/*": ["hooks/*"],
      "@/layouts/*": ["layouts/*"],
      "@/pages/*": ["pages/*"],
      "@/providers/*": ["providers/*"],
      "@/routers/*": ["routers/*"],
      "@/services/*": ["services/*"],
      "@/shared/*": ["shared/*"],
      "@/store/*": ["store/*"],
      "@/themes/*": ["themes/*"],
      "@/types/*": ["types/*"],
      "@/utils/*": ["utils/*"]
    }
  },
  "include": ["src"],
  "references": [{ "path": "./tsconfig.node.json" }]
}
